# -*- coding: utf-8 -*-
# Copyright 2022 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
from google.cloud.bigquery.biglake import gapic_version as package_version

__version__ = package_version.__version__


from google.cloud.bigquery.biglake_v1alpha1.services.metastore_service.async_client import (
    MetastoreServiceAsyncClient,
)
from google.cloud.bigquery.biglake_v1alpha1.services.metastore_service.client import (
    MetastoreServiceClient,
)
from google.cloud.bigquery.biglake_v1alpha1.types.metastore import (
    Catalog,
    CheckLockRequest,
    CreateCatalogRequest,
    CreateDatabaseRequest,
    CreateLockRequest,
    CreateTableRequest,
    Database,
    DeleteCatalogRequest,
    DeleteDatabaseRequest,
    DeleteLockRequest,
    DeleteTableRequest,
    GetCatalogRequest,
    GetDatabaseRequest,
    GetTableRequest,
    HiveDatabaseOptions,
    HiveTableOptions,
    ListCatalogsRequest,
    ListCatalogsResponse,
    ListDatabasesRequest,
    ListDatabasesResponse,
    ListLocksRequest,
    ListLocksResponse,
    ListTablesRequest,
    ListTablesResponse,
    Lock,
    Table,
    UpdateDatabaseRequest,
    UpdateTableRequest,
)

__all__ = (
    "MetastoreServiceClient",
    "MetastoreServiceAsyncClient",
    "Catalog",
    "CheckLockRequest",
    "CreateCatalogRequest",
    "CreateDatabaseRequest",
    "CreateLockRequest",
    "CreateTableRequest",
    "Database",
    "DeleteCatalogRequest",
    "DeleteDatabaseRequest",
    "DeleteLockRequest",
    "DeleteTableRequest",
    "GetCatalogRequest",
    "GetDatabaseRequest",
    "GetTableRequest",
    "HiveDatabaseOptions",
    "HiveTableOptions",
    "ListCatalogsRequest",
    "ListCatalogsResponse",
    "ListDatabasesRequest",
    "ListDatabasesResponse",
    "ListLocksRequest",
    "ListLocksResponse",
    "ListTablesRequest",
    "ListTablesResponse",
    "Lock",
    "Table",
    "UpdateDatabaseRequest",
    "UpdateTableRequest",
)
